program sim31
	// RW's hypothetical simulation - betas differ, sigmas the same
	// Here we use oglm rather than Allison's program
	drop _all
	
	syntax [, b11(real 1.00)]
	
	local b0_0 = 1
	local b1_0 = 1
	local b2_0 = 1
	
	local b0_1 = 1
	local b1_1 = `b11'
	local b2_1 = 2.0
	local sigma1 = 1
	
	set obs 1000
	gen group = _n > 500
	drawnorm x1 x2 , sd(1 1) corr(1, 0 \ 0, 1)
	* RW's preferred formula
	gen e1 = -log(1/uniform() - 1)
	
	gen ystar = `b0_0' + `b1_0'*x1 + `b2_0'*x2 + e1 if group==0
	replace ystar = `b0_1' + `b1_1'*x1 + `b2_1'*x2 + `sigma1'*e1 if group==1
	
	* RW's preferred cutpoint
	gen y = ystar > 0
	
	// complogity uses oglm rather than Allison's program
	complogity y  x1 x2, g(group) specific(x2)
	
	eclear
	
end

program eclear, eclass
	ereturn clear
end


